Get Signing Payload for Client Connections
This API call allows clients to get the client connections payload for signing. If your HTTP client doesn't support sending a request body on a get request, use the V1ClientConnectionsSigningPostRoute
Error scenarios:
-
400: Invalid Request Error
-
Occurs when the request parameters are invalid or malformed
-
Examples: Empty string provided for entepriseId, missing required fields in request body.
-
401: Authentication Error
-
Occurs when the request is not authorized
-
Examples: Caller is not a member of the enterprise.
-
403: Permission Denied Error
-
Occurs when the authenticated client doesn't have necessary permissions.
-
Examples: Enterprise does not have OES license.
-
404: Not Found Error
-
Occurs when the specified resources cannot be found.
-
Examples: Enterprise ID doesn't exist, specified partner ID doesn't exist.
-
500: Internal Server Error
-
Occurs when there's an unexpected server error processing the request.
-
Examples: Database connection issues. Transient network errors.
Requires access token scope: settlement_network_read
Path Params
-
enterpriseIdstring required
Body Params
object
-
partnerIdstring required -
namestring required -
connectionKeyobject requiredONE OF
-
schemastring enum requiredtoken -
connectionTokenstring required
-
schemastring enum requiredtokenAndSignature -
connectionTokenstring required -
signaturestring required
-
schemastring enum requiredapiKeyAndSecret -
apiKeystring required -
apiSecretstring required
-
schemastring enum requiredclearloop -
apiKeystring required -
apiSecretstring required -
clientAccountIdstring required -
companyRegistrationNumberstring required
-
-
noncestring required
Responses
200
OK
Response Body
object
-
payloadstring required
401
Unauthorized
Response Body
object
-
errorstring required
403
Forbidden
Response Body
object
-
errorstring required
404
Not Found
Response Body
object
-
errorstring required
422
Unprocessable Entity
Response Body
object
-
errorstring required
500
Internal Server Error
Response Body
object
-
errorstring required